
public class ArrayCompareTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		double x[][] = {{1.0, 2.0, 4.0}, {3.0, 5.0, 7.0}};
		double y[] = {1.0, 2.0, 4.0};
		
		double z[] = x[1];
		double w[] = x[1];
		
		System.out.println(x[0] == z);
		System.out.println(x[1] == w);
		x[0] = x[1];
		x[1][0] = 2.0;
		System.out.println(x[0] == z);
		System.out.println(x[1] == w);
	}

}
